# Class AlignmentReference

#### Hierarchy

- AlignmentReference

- Defined in src/examples/alignment-provider/providers/AlignmentReference.ts:20

#####
Index

### Constructors

constructor

### Properties

alignmentMap
alignmentRefGaps
alignmentRefMap
memberRefList
refId

### Methods

addAlignment
addBeg
addEnd
addGap
addRef
addUniqueAlignmentId
buildAlignments
extendGap
getAlignmentEntry
getSequences
init

## Constructors

### constructor

- new AlignmentReference(): AlignmentReference

- #### Returns AlignmentReference

## Properties

### `Private` `Readonly` alignmentMap

alignmentMap: Map<string, {
alignmentId: string;
alignmentIndex: number;
entryId: string;
instanceId: string;
pairIndex: number;
sequence: string;
}> = ...

#### Type declaration

- ##### alignmentId: string

- ##### alignmentIndex: number

- ##### entryId: string

- ##### instanceId: string

- ##### pairIndex: number

- ##### sequence: string

- Defined in src/examples/alignment-provider/providers/AlignmentReference.ts:26

### `Private` `Readonly` alignmentRefGaps

alignmentRefGaps: Record<number, number> = {}

- Defined in src/examples/alignment-provider/providers/AlignmentReference.ts:23

### `Private` alignmentRefMap

alignmentRefMap: AlignmentRefType

- Defined in src/examples/alignment-provider/providers/AlignmentReference.ts:21

### `Private` `Readonly` memberRefList

memberRefList: AlignmentMemberType[] = []

- Defined in src/examples/alignment-provider/providers/AlignmentReference.ts:24

### `Private` refId

refId: string

- Defined in src/examples/alignment-provider/providers/AlignmentReference.ts:22

## Methods

### addAlignment

- addAlignment(id, alignment, target): void

- #### Parameters

  - ##### id: string

  - ##### alignment: AlignmentRefType

  - ##### target: AlignmentRefType

  #### Returns void

  - Defined in src/examples/alignment-provider/providers/AlignmentReference.ts:35

### `Private` addBeg

- addBeg(indexList): void

- #### Parameters

  - ##### indexList: number[]

  #### Returns void

  - Defined in src/examples/alignment-provider/providers/AlignmentReference.ts:153

### `Private` addEnd

- addEnd(indexList): void

- #### Parameters

  - ##### indexList: number[]

  #### Returns void

  - Defined in src/examples/alignment-provider/providers/AlignmentReference.ts:145

### `Private` addGap

- addGap(gapBeg, gapLength): void

- #### Parameters

  - ##### gapBeg: number

  - ##### gapLength: number

  #### Returns void

  - Defined in src/examples/alignment-provider/providers/AlignmentReference.ts:160

### `Private` addRef

- addRef(id, alignment, target): void

- #### Parameters

  - ##### id: string

  - ##### alignment: AlignmentRefType

  - ##### target: AlignmentRefType

  #### Returns void

  - Defined in src/examples/alignment-provider/providers/AlignmentReference.ts:121

### addUniqueAlignmentId

- addUniqueAlignmentId(result, alignmentIndex, pairIndex?): string

- #### Parameters

  - ##### result: Alignment

  - ##### alignmentIndex: number

  - ##### pairIndex: 0 | 1 = 1

  #### Returns string

  - Defined in src/examples/alignment-provider/providers/AlignmentReference.ts:57

### buildAlignments

- buildAlignments(): AlignmentResponse

- #### Returns AlignmentResponse

  - Defined in src/examples/alignment-provider/providers/AlignmentReference.ts:53

### `Private` extendGap

- extendGap(gapBeg, gapLength): void

- #### Parameters

  - ##### gapBeg: number

  - ##### gapLength: number

  #### Returns void

  - Defined in src/examples/alignment-provider/providers/AlignmentReference.ts:169

### getAlignmentEntry

- getAlignmentEntry(alignmentId): {
  alignmentId: string;
  alignmentIndex: number;
  entryId: string;
  instanceId: string;
  pairIndex: number;
  sequence: string;
  }

- #### Parameters

  - ##### alignmentId: string

  #### Returns {
  alignmentId: string;
  alignmentIndex: number;
  entryId: string;
  instanceId: string;
  pairIndex: number;
  sequence: string;
  }

  - ##### alignmentId: string

  - ##### alignmentIndex: number

  - ##### entryId: string

  - ##### instanceId: string

  - ##### pairIndex: number

  - ##### sequence: string

  - Defined in src/examples/alignment-provider/providers/AlignmentReference.ts:96

### getSequences

- getSequences(): Promise<InstanceSequenceInterface[]>

- #### Returns Promise<InstanceSequenceInterface[]>

  - Defined in src/examples/alignment-provider/providers/AlignmentReference.ts:103

### init

- init(result): Promise<void>

- #### Parameters

  - ##### result: Alignment

  #### Returns Promise<void>

  - Defined in src/examples/alignment-provider/providers/AlignmentReference.ts:28

Generated using TypeDoc